Name:		64tass
Version:	1.50.486
Release:	1%{?dist}
Summary:	6502 assembler
Group:		Development/Languages
License:	GPLv2+
URL:		http://tass64.sourceforge.net/
BuildRequires:	w3m

# The following would meet the Fedora Packaging Guidelines for Source URLs
# for SourceForge, but it doesn't actually work! Despite the "/source/" in
# the path, it actually gets the *binary* release ZIP archives.  This may have
# something to do with the fact that the source and binary release ZIP
# archives have the same name.  I've requested that upstream start putting
# "-source" or "-src" in the names of the source archives, which hopefully
# would fix this problem.
#   https://sourceforge.net/p/tass64/bugs/13/
#Source0:	http://downloads.sourceforge.net/tass64/source/%{name}-%{version}.zip

Source0:	http://sourceforge.net/projects/tass64/files/source/%{name}-%{version}.zip

# Fix problem with printf conversions of size_t. Reported upstream with
# proposed patch:
#   https://sourceforge.net/p/tass64/bugs/14/
Patch0:		64tass-1.50.486-sizet.patch

# Fix problem with cast of pointer to int. Reported upstream with
# proposed patch:
#   https://sourceforge.net/p/tass64/bugs/15/
Patch1:		64tass-1.50.486-ptrcast.patch

%description
64tass is a multi-pass optimizing macro assembler for the 65xx series of
processors. It supports the 6502, 65C02, R65C02, W65C02, 65CE02, 65816,
DTV, and 65EL02, using a syntax similar to that of Omicron TASS and TASM.

%prep
%setup -q
%patch -P 0 -p1 -b .sizet
%patch -P 1 -p1 -b .ptrcast
rm README  # will be built

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install

# install binaries
install -d %{buildroot}%{_bindir}/
install -m 755 64tass %{buildroot}%{_bindir}/

%files
%{_bindir}/64tass
%doc README README.html
%doc LICENSE-GPL-2.0
%doc LICENSE-LGPL-2.0 LICENSE-LGPL-2.1
%doc LICENSE-my_getopt

%changelog
* Tue Jun 11 2013 Eric Smith <brouhaha@fedoraproject.org> 1.50.486-1
- Initial version
